	SUBROUTINE GETMCR (LINE, LLINE)
C
C THIS IS A SUBROUTINE WHICH RETRIEVES THE VAX COMMAND LINE INTO <LINE>
C WHICH IS A BYTE STRING, AND SETS <LLINE> TO THE NUMBER OF BYTES
C IN <LINE>.  
C TO BE THE SAME AS THE MCR SUBROUTINE, IT ADDS A COMMAND NAME TO
C THE BEGINNING OF THE LINE, E.G. "MCR rest of line".
C
	BYTE LINE(1)
	CHARACTER LINCHR*80
	IDS = LIB$GET_FOREIGN( LINCHR,, LLINE )
	IF (IDS .NE. 1) LLINE = 0
	LINE(1) = 'M'
	LINE(2) = 'C'
	LINE(3) = 'R'
	LINE(4) = ' '
	DO 10 J=1,LLINE
10	LINE(J+4) = ICHAR( LINCHR(J:J) )
	LLINE = LLINE+4
	RETURN
	END
